windows 8.0 and 8.1

There are many problems with windows 8 and 8.1 and new version of Metarader 4 and 5.


Write a comment

Comments: 3
  • #1

    Ali (Sunday, 13 March 2016 13:36)


  • #2

    Aslam (Sunday, 13 March 2016 15:59)

    I am using cTrader platform and that works nicely with window 8, it is provided by OctaFX broker and they always provide us latest and up to date system. I am really enjoying all these stuff since when the trading platform is smooth, it automatically makes us perform better and helps us with trading while when we are not having good platform it always create massive problems, so that’s why I am extremely fortunate to be with this broker and using this platform.

  • #3

    Aria (Monday, 09 May 2016 23:01)

    Why I can not install Stochastic rsi indicator on my meta5 on windows 8.1?
    Is this related to windows 8.1?